Bug 282351 - [PATCH] Fix memory leak of dma_alloc_coherent() on x86_64
[PATCH] Fix memory leak of dma_alloc_coherent() on x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
: ZStream
Depends On: 243657
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 09:22 EDT by Ludek Smid
Modified: 2010-10-22 14:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0939
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 09:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (408 bytes, patch)
2007-09-08 17:44 EDT, Vitaly Mayatskikh
no flags Details | Diff

  None (edit)
Description Ludek Smid 2007-09-07 09:22:26 EDT
This bug has been copied from bug #X and has been proposed to be backported to
4.5 z-stream (EUS).
Comment 2 Vitaly Mayatskikh 2007-09-08 17:44:25 EDT
Created attachment 190871 [details]
proposed patch
Comment 5 Don Howard 2007-09-21 18:37:26 EDT
A patch for this issue has been included in build 2.6.9-55.0.7.
Comment 6 Masaki MAENO 2007-10-15 20:55:32 EDT
I also hoped it. 
However, I confirmed that memoryleak-fix-patch was not included in
"arch/x86_64/kernel/pci-gart.c" on 2.6.9-55.0.9.EL.
Please fix this problem by the proposed patch.
Comment 7 Masaki MAENO 2007-10-15 21:25:41 EDT
But, the ChangeLog existed in 2.6.9-55.0.9.EL.
>>> - fix memory leak of dma_alloc_coherent() on x86_64 (Prarit Bhargava) [282351]

Anyway, please confirm it.
Comment 8 Vitaly Mayatskikh 2007-10-16 03:38:18 EDT
dma_alloc_coherent() was fixed in 2.6.9-55.0.7, but all patches from 55.0.7 were
reverted in build 55.0.9 and restored in 55.0.10 due to internal reasons. Please
take a look to changelog one more time.
Comment 9 Masaki MAENO 2007-10-16 20:09:54 EDT
I expect it in the following errata release.
Comment 11 Zhang Kexin 2007-10-31 09:42:15 EDT
got no right hardware do the test, (it needs a system that has a device that
calls dma_alloc_coherent,SB600 system should be OK), so just do code review.
Comment 13 errata-xmlrpc 2007-11-01 09:31:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0939.html

Note You need to log in before you can comment on or make changes to this bug.